package com.tuoheng.admin.enums.code.inspection;

/**
 *  修改任务信息返回码
 *      模块代码：23（任务管理）
 *      接口代码：03 （修改任务）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-24
 */
public enum EditInspectionCodeEnum {

    EDIT_IS_FAILED(1230300, "修改任务失败"),
    ID_IS_NULL(1230301, "任务ID为空"),
    ROAD_IS_NULL(1230302, "任务航道为空"),
    SECTION_IS_NULL(1230303, "航段信息为空"),
    AIRPORT_IS_NULL(1230304, "巡检机场为空"),
    INSPECTION_LINE_IS_NULL(1230305, "巡检路线为空"),
    INSPECTION_TIME_IS_NULL(1230306, "巡检时间为空"),
    INSPECTION_TIME_NOT_AFTER_THAN_CURRENT_TIME(1230307, "巡检时间不能晚于当前时间"),
    INSPECTION_IS_NOT_EXIST(1230308, "任务不存在"),
    INSPECTION_IS_NOT_WAIT_FLIGHT(1230309, "任务状态已变更，不可再提交！"),
    INSPECTION_IS_EXECUTED(1230310, "任务已执行，不可修改"),
    ROAD_IS_NOT_EXIST(1230311, "航道不存在"),
    SECTION_IS_NOT_EXIST(1230312, "航段不存在"),
    NON_DEPT_ADMIN_NOT_EDIT(1230313, "非本部门管理员不能修改");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    EditInspectionCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
